package com.cool.store.enums;

/**
 * @Author suzhuhong
 * @Date 2024/3/19 17:00
 * @Version 1.0
 */
public enum WorkflowSubStageStatusEnum {

    //意向申请
    INTENT_0(0,"待提交"),
    INTENT_5(5,"待审核"),
    INTENT_7(7,"未通过"),

    //缴纳意向金
    PAY_DEPOSIT_45(45,"待缴费"),
    PAY_DEPOSIT_50(50,"已缴费"),
    PAY_FAIL_55(55,"审核未通过"),

    //签署意向协议
    SIGN_INTENT_AGREEMENT_70(70,"待补充"),
    SIGN_INTENT_AGREEMENT_75(75,"合同确定中"),
    SIGN_INTENT_AGREEMENT_125(125,"已完成");



    ;

    private Integer code;

    private String message;

    WorkflowSubStageStatusEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }


    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }


}
